뉴스광장
클라우드/리눅스에 관한 뉴스를 제공합니다.
보안 분류

BIND DNS 취약점 보안 업데이트 권고

작성자 정보

  • 관리자 작성
  • 작성일

컨텐츠 정보

본문

□ 개요
 o ISC(Internet Systems Consortium)는 BIND DNS에서 발생하는 취약점을 해결한 보안 업데이트 발표
 o 공격자는 해당 취약점을 악용하여 피해를 발생시킬 수 있으므로, 최신버전으로 업데이트 권고

□ 설명
 o Diffie-Hellman 키 교환을 처리하는 코드에서 발생하는 메모리 누수 취약점 (CVE-2022-2906) [1]
 o BIND 해석기에서 특수하게 조작된 쿼리를 통해 발생하는 서비스 거부 취약점(CVE-2022-3080) [2]
 o ECDSA DNSSEC 및 EdDSA DNSSEC의 확인 코드에서 발생하는 메모리 누수 취약점 (CVE-2022-38177, CVE-2022-38178) [3][4]

□ 영향받는 소프트웨어
 o BIND 9
  - BIND 9.8.4 ~ 9.16.32 버전
  - BIND 9.18.0 ~ 9.18.6 버전
  - BIND 9.19.0 ~ 9.19.4 버전
  - BIND 9.9.4-S1 ~ 9.11.37-S1(BIND Supported Preview Edition) 버전
  - BIND 9.16.8-S1 ~ 9.16.32-S1(BIND Supported Preview Edition) 버전
 
□ 해결 방안
 o BIND 버전 업그레이드를 통한 조치
  - BIND 9.16.33
  - BIND 9.18.7
  - BIND 9.19.5
  - BIND 9.16.33-S1(Supported Preview Edition) 버전

□ 기타 문의사항
 o 한국인터넷진흥원 사이버민원센터: 국번없이 118

[참고사이트]
[1] https://kb.isc.org/docs/cve-2022-2906
[2] https://kb.isc.org/docs/cve-2022-3080
[3] https://kb.isc.org/docs/cve-2022-38177
[4] https://kb.isc.org/docs/cve-2022-38178


□ 작성 : 침해사고분석단 취약점분석팀

관련자료

댓글 0
등록된 댓글이 없습니다.

공지사항


뉴스광장


  • 전체 회원수 59,543 명
  • 전체 게시물 31,732 개
  • 전체 댓글수 11,908 개